# GBMinService | botserver

Minimal service layer for a bot.

### Hierarchy

- GBMinService

## Index

### Constructors

- constructor

### Properties

- conversationalService
- core
- corePackage
- deployer

### Methods

- buildBotAdapter
- buildMin
- getSTSToken
- getWebchatToken
- invokeLoadBot
- receiver

## Constructors

### constructor

- new GBMinService(core: GBCoreService, conversationalService: GBConversationalService, deployer: GBDeployer ): GBMinService

- - Defined in deploy/core.gbapp/services/GBMinService.ts:68

  Static initialization of minimal instance.

  #### Parameters

  - ##### core: GBCoreService

    Basic database services to identify instance, for example.

  - ##### conversationalService: GBConversationalService

  - ##### deployer: GBDeployer

  #### Returns GBMinService

## Properties

### conversationalService

conversationalService: GBConversationalService

- Defined in deploy/core.gbapp/services/GBMinService.ts:65

### core

core: GBCoreService

- Defined in deploy/core.gbapp/services/GBMinService.ts:64

### corePackage

corePackage: string = "core.gbai"

- Defined in deploy/core.gbapp/services/GBMinService.ts:68

### deployer

deployer: GBDeployer

- Defined in deploy/core.gbapp/services/GBMinService.ts:66

## Methods

### Private buildBotAdapter

- buildBotAdapter(instance: any): Promise<object>

- - Defined in deploy/core.gbapp/services/GBMinService.ts:207

  #### Parameters

  - ##### instance: any

  #### Returns Promise<object>

### buildMin

- buildMin(server: any, appPackages: Array<IGBPackage>): Promise<GBMinInstance>

- - Defined in deploy/core.gbapp/services/GBMinService.ts:96

  Constructs a new minimal instance for each bot.

  #### Parameters

  - ##### server: any

    An HTTP server.

  - ##### appPackages: Array<IGBPackage>

    List of loaded .gbapp associated with this instance.

  #### Returns Promise<GBMinInstance>

  Loaded minimal bot instance.

### getSTSToken

- getSTSToken(instance: any): Promise<any>

- - Defined in deploy/core.gbapp/services/GBMinService.ts:414

  Gets a Speech to Text / Text to Speech token from the provider.

  #### Parameters

  - ##### instance: any

    The general bot instance.

  #### Returns Promise<any>

### getWebchatToken

- getWebchatToken(instance: any): Promise<any>

- - Defined in deploy/core.gbapp/services/GBMinService.ts:389

  Get Webchat key from Bot Service.

  #### Parameters

  - ##### instance: any

    The Bot instance.

  #### Returns Promise<any>

### Private invokeLoadBot

- invokeLoadBot(appPackages: any[], min: any, server: any): void

- - Defined in deploy/core.gbapp/services/GBMinService.ts:232

  #### Parameters

  - ##### appPackages: any[]

  - ##### min: any

  - ##### server: any

  #### Returns void

### Private receiver

- receiver(adapter: BotFrameworkAdapter, req: any, res: any, conversationState: ConversationState, min: any, instance: any, appPackages: any[]): Promise<void>

- - Defined in deploy/core.gbapp/services/GBMinService.ts:265

  Bot Service hook method.

  #### Parameters

  - ##### adapter: BotFrameworkAdapter

  - ##### req: any

  - ##### res: any

  - ##### conversationState: ConversationState

  - ##### min: any

  - ##### instance: any

  - ##### appPackages: any[]

  #### Returns Promise<void>

Generated using TypeDoc